### Function

# GLib SourceOnceFunc

since: 2.74

#### Declaration

    void
    (* GSourceOnceFunc) (
      gpointer user_data
    )

#### Description

A source function that is only called once before being removed from the main context automatically.

See: g_idle_add_once(), g_timeout_add_once().

Available since: 2.74

#### Parameters

`user_data`

  Type: `gpointer`

  Data passed to the function, set when the source was created.

  The argument can be `NULL`.
  The data is owned by the caller of the function.